Phabricator should let you add dependencies both ways (depending and blocking)
Closed, ResolvedPublic

Tokens
"Doubloon" token, awarded by Nemo_bis."Yellow Medal" token, awarded by Qgil."Like" token, awarded by AlexMonk-WMF."Love" token, awarded by MGChecker."Like" token, awarded by Ciencia_Al_Poder.
Assigned To
None
Authored By
Aklapper, Apr 9 2014

Description

I can only create Dependencies one way it seems by going to task 123 and say it depends on fixing task 124? Bugzilla allows to say in task 124 that it blocks task 123. Or I'm too stupid to find it.

Upstream task: https://secure.phabricator.com/T4788

Details

Commits
Unknown Object (Diffusion Commit)
Reference
fl58

Related Objects

flimport raised the priority of this task from to Low.
flimport set Reference to fl58.

qgil wrote on 2014-04-09 19:26:21 (UTC)

Yep, slightly annoying. I'm waiting to see whether I get used to this or not.

aklapper wrote on 2014-04-10 21:02:10 (UTC)

Upstreamed as https://secure.phabricator.com/T4788 - let's see.

Nemo_bis wrote on 2014-04-17 18:08:17 (UTC)

◀ Merged tasks: T151.

T3rminat0r wrote on 2014-04-21 19:05:23 (UTC)

◀ Merged tasks: T94.

aklapper wrote on 2014-05-23 03:44:48 (UTC)

Upstream ticket describes the remaining infrastructure work that needs to be done first, "there's a fair bit of technical work remaining" (and I guess that contributions are welcome).

We might survive Day 1 without this functionality but it would be cumbersome.

Nemo_bis wrote on 2014-06-15 10:47:50 (UTC)

We might survive Day 1 without this functionality but it would be cumbersome.

Indeed, all the tab switching and clicking marathons are getting frustrating. http://fab.wmflabs.org/T173#11

aklapper wrote on 2014-07-18 00:31:50 (UTC)

Same as T101 - While it's cumbersome, is this a must-have before we migrate / should this really block us from Day 1 of using Phabricator? I doubt.

qgil wrote on 2014-07-18 16:55:25 (UTC)

I don't see it as a blocker for Day 1 either.

flimport added a subscriber: Qgil.Oct 2 2014, 9:47 PM
flimport added a subscriber: bd808.Oct 3 2014, 3:00 PM
flimport added a subscriber: scfc.Oct 7 2014, 3:00 AM
Ragesoss removed a subscriber: Ragesoss.Oct 14 2014, 5:39 PM
Nemo_bis added a subscriber: Nemo_bis.

What does "personal request" mean?

confusion among users due to this bug: T87559, T88886, T85374. Maybe "blocking" "blocked" wording also needs to be changed.

confusion among users due to this bug: T87559, T88886, T85374. Maybe "blocking" "blocked" wording also needs to be changed.

Blocking/tracking ?

scfc added a comment.Feb 8 2015, 10:02 AM

I much prefer Bugzilla's terminology of "depends on" and "blocks".

Same here. I've also messed up the direction of dependencies on Phabricator a few times already, never had that problem on Bugzilla (as far as I remember), and I think I am the power user Phab is supposed to cater to ;)

Changing

Edit Blocking Tasks

to

Edit 'Blocked By' Tasks

might help with that, as it then corresponds to the actual column in the Task description.

gerritbot added a subscriber: gerritbot.

Change 189329 had a related patch set uploaded (by Merlijn van Deen):
Change Blocking Tasks to 'Blocked By' Tasks

https://gerrit.wikimedia.org/r/189329

Patch-For-Review

Dzahn added a subscriber: Dzahn.Feb 10 2015, 6:27 PM

Changing

Edit Blocking Tasks

to

Edit 'Blocked By' Tasks

might help with that, as it then corresponds to the actual column in the Task description.

Agree. And i'm about to merge this: https://gerrit.wikimedia.org/r/#/c/189329/2

Any objections, then speak up now please.

Change 189329 merged by Dzahn:
Change Blocking Tasks to 'Blocked By' Tasks

https://gerrit.wikimedia.org/r/189329

Dzahn added a comment.Feb 10 2015, 7:18 PM

it has been deployed by a puppet run on iridium i triggered. lgtm

valhallasw set Security to None.

OK, good, confusion solved! The rest of the issue (no way to set 'Blocks' tasks) still remains, so I think we should keep the bug open.

Nemo_bis removed a subscriber: Nemo_bis.Feb 11 2015, 9:12 AM

So... does Maniphest have a Web API of some kind?

I think with a usable Web API, you could probably add functionality, via a JavaScript script, that turns the Blocks/Blocked By fields on the task view screen editable. This is a same-domain request with user input in the current browsing context... writing such a script doesn't sound like it would be too awful, assuming there's a usable API. Or maybe such a script already exists? I don't really have a sense of how much people have customized/improved Phabricator with plugins and scripts.

You could extend such an edit script to make fields such as "Priority" editable from the task view screen as well, which would fix another gripe of mine.

Krenair pointed me to https://phabricator.wikimedia.org/api/maniphest.info. There does seem to be a dependsOnTaskPHIDs key, which exposes for example the relationship of T33 being blocked by T49. But I don't see a way of discovering that T33 blocks T22. Inside of manphiest.update, it doesn't look like either of these fields are updatable... hrm.

Looking at https://phabricator.wikimedia.org/conduit/, I don't see another module that might cover the act of operating "Merge Duplicates In" via an API.

epriestley closed this task as Resolved by committing Unknown Object (Diffusion Commit).Mar 4 2015, 8:24 AM
epriestley added a commit: Unknown Object (Diffusion Commit).
Qgil reopened this task as Open.Mar 4 2015, 8:36 AM

Accidental clash. Known issue. Reverting status.

Qgil added a subscriber: greg.Apr 11 2015, 8:02 PM

According to this, paying Phacility Inc to implement this task would cost about $1200 USD. I think @greg or myself could find this budget even during this quarter (but I have asked quotes for other features requested, so perhaps we need to evaluate this further).

Anyway, is this feature still wanted? Do you think this feature is worth the investment?

Although there are not many things that I missed from Bugzilla at this point, I still find that the blocks/blocked by part requires too many steps, and we can see users annoyed / confused by these steps as well.

While not a showstopper, this issue is something the collab team runs into almost every day when we do a triage session. I don't know how to put the annoyance level into $$, but overall this feature is desired by the collab `team.

MZMcBride updated the task description. (Show Details)Jul 11 2015, 3:23 AM

@Qgil I'm late to this party, but this is something that would be immensely helpful to my teams who need to give whole backlogs of orphan tasks parents. In Batch mode, ideally, too. Is this something we're still considering?

Is this something we're still considering?

What is "this" and "we"? If you refer to WMF potentially paying some money (T33#1201177) that's Greg's territory I'd say...

@Aklapper When I say "this" I mean the ability to add dependencies in addition to blockers, "we" meaning those involved in the discussion here/at WMF.

@greg pinging since Andre says this is your territory. :)

greg added a comment.Feb 22 2016, 4:52 PM

Well, my money for this is now (unceremoniously) gone. I might have more next fiscal, but there was another need within Technology. :/

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 20 2016, 5:23 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptMay 20 2016, 5:23 PM
AlexMonk-WMF added a subscriber: AlexMonk-WMF.

It looks to me like this has been done?

Qgil awarded a token.Jun 30 2016, 5:47 AM
Jdforrester-WMF closed this task as Resolved.Jun 30 2016, 11:05 AM
Jdforrester-WMF claimed this task.

Yes, this looks to be completed in Phabricator (2016-06-29). Yay!

Nemo_bis rescinded a token.Jul 16 2016, 8:00 AM
Nemo_bis awarded a token.
Peachey88 removed Jdforrester-WMF as the assignee of this task.Jul 27 2016, 10:57 PM